Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Storable_Naming_Context_Activator Class Reference

`#include <Storable_Naming_Context_Activator.h>`

List of all members.

## Public Methods
| TAO_Storable_Naming_Context_Activator (CORBA::ORB_ptr orb, TAO_Naming_Service_Persistence_Factory *factory, const ACE_TCHAR *persistence_directory, size_t context_size)
virtual | ~TAO_Storable_Naming_Context_Activator ()

## Detailed Description

A servant activator to be use with a TAO_Storable_Naming_Context. Permits contexts saved to disk in one naming service process to be "lazily" created on demand in other processes by reading the context file off disk only when a request to the context is made.

## Constructor & Destructor Documentation

TAO_Storable_Naming_Context_Activator::TAO_Storable_Naming_Context_Activator | ( | CORBA::ORB_ptr | orb,
|  | TAO_Naming_Service_Persistence_Factory * | factory,
|  | const ACE_TCHAR * | persistence_directory,
|  | size_t | context_size
| ) |

| The constructor takes arguments needed to create a TAO_Storable_Naming_Context and TAO_Naming_Context on demand.

TAO_Storable_Naming_Context_Activator::~TAO_Storable_Naming_Context_Activator | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following files:

- Storable_Naming_Context_Activator.h
- Storable_Naming_Context_Activator.cpp